## libqca2-plugin-ossl 2.0.0beta3-1

=== Makefile ===
#############################################################################
# Makefile for building: liblibqca2-plugin-ossl.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Oct 4 13:42:41 2010
# Project:  libqca2-plugin-ossl.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile libqca2-plugin-ossl.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DOSSL_097 -DDATADIR=\"/usr/local/share\" -DPKGDATADIR=\"\" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include -I/targets/FREMANTLE_ARMEL/usr/include/QtCrypto -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lssl -lcrypto -L/usr/lib -lqca -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qca-ossl.cpp 
OBJECTS       = qca-ossl.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/crypto.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		libqca2-plugin-ossl.pro
QMAKE_TARGET  = libqca2-plugin-ossl
DESTDIR       = 
TARGET        = liblibqca2-plugin-ossl.so
TARGETD       = liblibqca2-plugin-ossl.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: libqca2-plugin-ossl.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/crypto.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libqca.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix -o Makefile libqca2-plugin-ossl.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/crypto.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libqca.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile libqca2-plugin-ossl.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/libqca2-plugin-ossl2.0.0beta3 || $(MKDIR) .tmp/libqca2-plugin-ossl2.0.0beta3 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/libqca2-plugin-ossl2.0.0beta3/ && $(COPY_FILE) --parents qca-ossl.cpp .tmp/libqca2-plugin-ossl2.0.0beta3/ && (cd `dirname .tmp/libqca2-plugin-ossl2.0.0beta3` && $(TAR) libqca2-plugin-ossl2.0.0beta3.tar libqca2-plugin-ossl2.0.0beta3 && $(COMPRESS) libqca2-plugin-ossl2.0.0beta3.tar) && $(MOVE) `dirname .tmp/libqca2-plugin-ossl2.0.0beta3`/libqca2-plugin-ossl2.0.0beta3.tar.gz . && $(DEL_FILE) -r .tmp/libqca2-plugin-ossl2.0.0beta3


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all:
compiler_moc_header_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all: qca-ossl.moc
compiler_moc_source_clean:
	-$(DEL_FILE) qca-ossl.moc
qca-ossl.moc: qca-ossl.cpp
	/usr/bin/moc $(DEFINES) $(INCPATH) qca-ossl.cpp -o qca-ossl.moc

compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_source_clean 

####### Compile

qca-ossl.o: qca-ossl.cpp qca-ossl.moc
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o qca-ossl.o qca-ossl.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/local/lib/qt4/plugins/crypto/ || $(MKDIR) $(INSTALL_ROOT)/usr/local/lib/qt4/plugins/crypto/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/local/lib/qt4/plugins/crypto/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/local/lib/qt4/plugins/crypto/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/local/lib/qt4/plugins/crypto/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/local/lib/qt4/plugins/crypto/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
libqca2-plugin-ossl (2.0.0beta3-1) unstable; urgency=low

  * Initial release (Closes: #nnnn)  <nnnn is the bug number of your ITP>

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Mon,  4 Oct 2010 10:37:55 -0400

=== debian/rules ===
#!/usr/bin/make -f
APPNAME := libqca2-plugin-ossl
builddir:
	mkdir -p builddir

builddir/Makefile: builddir
	cd builddir && qmake-qt4  PREFIX=/usr ../$(APPNAME).pro

build: build-stamp

build-stamp: builddir/Makefile
	dh_testdir
	# Add here commands to compile the package.
	cd builddir && $(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	# Add here commands to clean up after the build process.
	rm -rf builddir
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/your_appname
	cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip 
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## libqca2-plugin-ossl 2.0.0beta3-2

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,9 @@
 #############################################################################
-# Makefile for building: liblibqca2-plugin-ossl.so
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Oct 4 13:42:41 2010
-# Project:  libqca2-plugin-ossl.pro
+# Makefile for building: libqca2-plugin-ossl.so
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Oct 4 15:01:16 2010
+# Project:  qca2-plugin-ossl.pro
 # Template: lib
-# Command: /usr/bin/qmake -unix -o Makefile libqca2-plugin-ossl.pro
+# Command: /usr/bin/qmake -unix -o Makefile qca2-plugin-ossl.pro
 #############################################################################
 
 ####### Compiler, tools and options
@@ -64,11 +64,11 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
-		libqca2-plugin-ossl.pro
-QMAKE_TARGET  = libqca2-plugin-ossl
+		qca2-plugin-ossl.pro
+QMAKE_TARGET  = qca2-plugin-ossl
 DESTDIR       = 
-TARGET        = liblibqca2-plugin-ossl.so
-TARGETD       = liblibqca2-plugin-ossl.so
+TARGET        = libqca2-plugin-ossl.so
+TARGETD       = libqca2-plugin-ossl.so
 
 first: all
 ####### Implicit rules
@@ -100,7 +100,7 @@
 
 
 
-Makefile: libqca2-plugin-ossl.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
+Makefile: qca2-plugin-ossl.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
@@ -121,7 +121,7 @@
 		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
 		/usr/lib/libqca.prl \
 		/usr/lib/libQtCore.prl
-	$(QMAKE) -unix -o Makefile libqca2-plugin-ossl.pro
+	$(QMAKE) -unix -o Makefile qca2-plugin-ossl.pro
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
 /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
@@ -144,11 +144,11 @@
 /usr/lib/libqca.prl:
 /usr/lib/libQtCore.prl:
 qmake:  FORCE
-	@$(QMAKE) -unix -o Makefile libqca2-plugin-ossl.pro
+	@$(QMAKE) -unix -o Makefile qca2-plugin-ossl.pro
 
 dist: 
-	@$(CHK_DIR_EXISTS) .tmp/libqca2-plugin-ossl2.0.0beta3 || $(MKDIR) .tmp/libqca2-plugin-ossl2.0.0beta3 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/libqca2-plugin-ossl2.0.0beta3/ && $(COPY_FILE) --parents qca-ossl.cpp .tmp/libqca2-plugin-ossl2.0.0beta3/ && (cd `dirname .tmp/libqca2-plugin-ossl2.0.0beta3` && $(TAR) libqca2-plugin-ossl2.0.0beta3.tar libqca2-plugin-ossl2.0.0beta3 && $(COMPRESS) libqca2-plugin-ossl2.0.0beta3.tar) && $(MOVE) `dirname .tmp/libqca2-plugin-ossl2.0.0beta3`/libqca2-plugin-ossl2.0.0beta3.tar.gz . && $(DEL_FILE) -r .tmp/libqca2-plugin-ossl2.0.0beta3
+	@$(CHK_DIR_EXISTS) .tmp/qca2-plugin-ossl2.0.0beta3 || $(MKDIR) .tmp/qca2-plugin-ossl2.0.0beta3 
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/qca2-plugin-ossl2.0.0beta3/ && $(COPY_FILE) --parents qca-ossl.cpp .tmp/qca2-plugin-ossl2.0.0beta3/ && (cd `dirname .tmp/qca2-plugin-ossl2.0.0beta3` && $(TAR) qca2-plugin-ossl2.0.0beta3.tar qca2-plugin-ossl2.0.0beta3 && $(COMPRESS) qca2-plugin-ossl2.0.0beta3.tar) && $(MOVE) `dirname .tmp/qca2-plugin-ossl2.0.0beta3`/qca2-plugin-ossl2.0.0beta3.tar.gz . && $(DEL_FILE) -r .tmp/qca2-plugin-ossl2.0.0beta3
 
 
 clean:compiler_clean

=== debian/changelog ===
libqca2-plugin-ossl (2.0.0beta3-2) unstable; urgency=low

  * Fixed lib's name.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Mon,  4 Oct 2010 15:17:35 -0400

=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
 	dh_testdir
 	dh_testroot
 	dh_installdocs
+	dh_installchangelogs
 	dh_installexamples
 	dh_installman
 	dh_link

## libqca2-plugin-ossl 2.0.0beta3-3

=== debian/changelog ===
libqca2-plugin-ossl (2.0.0beta3-3) unstable; urgency=low

  * Repackaged for PR1.3

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Tue, 26 Oct 2010 13:27:28 -0400

=== debian/control ===
Source: libqca2-plugin-ossl
Section: libs
Priority: optional
Maintainer: Mikhail Ramalho <mikhail.ramalho@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libqca2-dev, libssl-dev 
Standards-Version: 3.7.2
Origin: Maintainer

Package: libqca2-plugin-ossl
Architecture: armel
Depends: libc6 (>= 2.5.1), libgcc1 (>= 1:4.2.1), libqt4-core (>= 4.6.0), libssl0.9.8 (>= 0.9.8g-15), libstdc++6 (>= 4.2.1-4), libqca2 (>= 2.0.2-1)
Description: QCA OSSL plugin for libqca2
 This plugin provides features based on OpenSSL. It implements:
  * Hashing - SHA1, SHA0, RIPEMD160, MD2, MD4, MD5
  * Hashing - SHA224, SHA256, SHA384 and SHA512 (for openssl 0.9.8)
  * Block Ciphers
  * Keyed Hash Message Authentication Code (HMAC), using SHA1, MD5, RIPEMD160
  * Public keys - RSA, DSA, Diffie-Hellman
  * PKCS#12
  * SSL/TLS
  * CMS (for S/MIME)

## libqca2-plugin-ossl 2.0.0beta3-4

=== debian/changelog ===
libqca2-plugin-ossl (2.0.0beta3-4) unstable; urgency=low

  * Added support for i386.

 -- Mikhail Ramalho <mikhail.ramalho@gmail.com>  Fri,  5 Nov 2010 21:39:34 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Origin: Maintainer
 
 Package: libqca2-plugin-ossl
-Architecture: armel
+Architecture: any
 Depends: libc6 (>= 2.5.1), libgcc1 (>= 1:4.2.1), libqt4-core (>= 4.6.0), libssl0.9.8 (>= 0.9.8g-15), libstdc++6 (>= 4.2.1-4), libqca2 (>= 2.0.2-1)
 Description: QCA OSSL plugin for libqca2
  This plugin provides features based on OpenSSL. It implements:

=== debian/rules ===
--- 
+++ 
@@ -46,6 +46,7 @@
 	dh_strip 
 	dh_compress
 	dh_fixperms
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
